Subject: Ticket Assigned - 9577262919/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 07 Jul 2022 12:21:55 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9577262919/ late delivery ?                    Hi           03:21 PM, 07th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:21 PM, 07th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:21 PM, 07th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:21 PM, 07th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:21 PM, 07th Jul                     ?                    Order #9577262919           03:21 PM, 07th Jul                     ?                    I would request to deliver my pending orders soon           03:22 PM, 07th Jul                     ?                    I was expecting it to arrived on 05 Jul           03:22 PM, 07th Jul                     ?                    But until now, its not been delivered           03:22 PM, 07th Jul                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            03:23 PM, 07th Jul                   New                   If you have any pictures that you would like to share, please do that.            03:23 PM, 07th Jul                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           03:23 PM, 07th Jul                     ?                    I only need to follow up my order           03:42 PM, 07th Jul                     ?                    I need this to be delivered           03:43 PM, 07th Jul                   Hasan                   Hi ?. Thank you for contacting us. My name is Hasan. How may I help you today?           03:48 PM, 07th Jul                     ?                    Hi Hasan           03:49 PM, 07th Jul                     ?                    Order #9577262919           03:49 PM, 07th Jul                     ?                    I would like to follow my order           03:49 PM, 07th Jul                   Alhamzi                   Thank you for allowing me the time to check. I appreciate your patience.           03:54 PM, 07th Jul                   Alhamzi                   Please confirm if the following phone number is correct: 971561618801           04:11 PM, 07th Jul                     ?                    Yes correct           04:12 PM, 07th Jul                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             04:16 PM, 07th Jul                   Alhamzi                   for furniture items supposed to be delivered today between 10:00-14:00     The delivery contact number: 0506921681     your contact number: 561618801           04:17 PM, 07th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           04:17 PM, 07th Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           04:21 PM, 07th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4598048